Is the ZoneAlarm Security Engine no longer compatible with ZoneAlarm Internet Security Suite? I have the ZoneAlarm Security Suite Community Toolbar and running on FireFox 7.0.1.

It hasn't been working for a few months now and knew CheckPoint were working on it. I checked the forums and notice that FireFox 7.0.1. is supported, so i downgraded from FireFox 8 (i know its not recommended).